<?php

namespace Drupal\custom_header_image\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining Header image entities.
 */
interface HeaderImageInterface extends ConfigEntityInterface {

  public function getHeaderImageId();

  /**
   * Get the file representing the header image.
   *
   * @return \Drupal\file\Entity\File
   */
  public function getHeaderImage();

  /**
   * @return string
   */
  public function getImageStyleId();

  /**
   * @return \Drupal\Core\Entity\EntityInterface
   */
  public function getImageStyle();

  public function getPaths();

}
